<div class="modal fade" id="addRecordModal" tabindex="-1" role="dialog" aria-labelledby="addRecordModalLabel"
     aria-hidden="true">

    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="addRecordModalLabel">{$dns->lang['Add Record']} <b>
                        .{{$dns->zoneDB->zone}}</b>
                </h5>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                    <span aria-hidden="true">&times;</span>
                </button>
            </div>
            <form id="addRecord" method="post"
                  action="{$dns->SystemURL}/clientarea.php?action=productdetails&id={$dns->service_id}&zone_id={$dns->zoneDB->id}">
                <div class="modal-body">

                    <div class="form-row">
                        <div class="form-group col-md-2">
                            <div class="form-group">
                                <label for="type">{$dns->lang['Type']}</label>
                                <select class="form-control" id="type" name="type">
                                    <option value="A">A</option>
                                    <option value="AAAA">AAAA</option>
                                    <option value="CNAME">CNAME</option>
                                    <option value="MX">MX</option>
                                    <option value="TXT">TXT</option>
                                    <option value="SRV">SRV</option>
                                    <option value="PTR">PTR</option>
                                    <option value="CAA">CAA</option>
                                    <option value="DNSKEY">DNSKEY</option>
                                    <option value="DS">DS</option>
                                    <option value="NAPTR">NAPTR</option>
                                    <option value="TLSA">TLSA</option>
                                </select>
                            </div>
                        </div>

                        <div class="form-group col-md-8">
                            <div class="form-group">
                                <label for="name">{$dns->lang['Name (required)']}</label>
                                <input type="text" class="form-control" id="name" name="name" required>
                                <small class="form-text text-muted">{$dns->lang['Use @ for root']}</small>
                            </div>
                        </div>

                        <div class="form-group col-md-2">
                            <div class="form-group">
                                <label for="ttl">{$dns->lang['TTL']}</label>
                                <select class="form-control" id="ttl" name="ttl">
                                    <option value="300">{$dns->lang['5 min']}</option>
                                    <option value="600">{$dns->lang['10 min']}</option>
                                    <option value="900">{$dns->lang['15 min']}</option>
                                    <option value="1800">{$dns->lang['30 min']}</option>
                                    <option value="3600" selected>{$dns->lang['1 hr']}</option>
                                    <option value="7200">{$dns->lang['2 hr']}</option>
                                    <option value="18000">{$dns->lang['5 hr']}</option>
                                    <option value="43200">{$dns->lang['12 hr']}</option>
                                    <option value="86400">{$dns->lang['24 hr']}</option>
                                </select>
                            </div>
                        </div>
                    </div>
                    <div id="dynamicFields" class="form-row"></div>
                </div>
                <div class="modal-footer">
                    <button type="button" class="btn btn-secondary" data-dismiss="modal">
                        <i class="fa fa-times"></i> {$dns->lang['Cancel']}
                    </button>
                    <button type="submit" value="addRecord" name="submit" class="btn btn-primary" form="addRecord"
                            id="addRecordSubmitButton">
                        <i class="fa fa-save"></i> {$dns->lang['Add Record']}
                    </button>
                </div>
            </form>
        </div>
    </div>
</div>


<script>

    document.getElementById('addRecordSubmitButton').addEventListener('click', function (event) {
        const modal = this.closest('.modal');
        const form = modal.querySelector('#addRecord');
        if (form.checkValidity()) {
            showLoader();
        } else {
            event.preventDefault();
            alert('{$dns->lang['Please fill in all required fields.']}');
        }
    });

    {literal}
    document.addEventListener("DOMContentLoaded", function () {
        const modal = document.getElementById("addRecordModal");
        const recordTypeSelect = modal.querySelector("#type");
        const dynamicFieldsContainer = modal.querySelector("#dynamicFields");
        recordTypeSelect.addEventListener("change", function () {
            updateDynamicFields(dynamicFieldsContainer, this.value);
        });
        updateDynamicFields(dynamicFieldsContainer, recordTypeSelect.value);
    });
    {/literal}

</script>
